:: Jazz RepoTools Launcher
@echo off
rem *******************************************************************************
rem  Licensed Materials - Property of IBM
rem  (c) Copyright IBM Corporation 2006, 2009. All Rights Reserved.
rem  
rem  Note to U.S. Government Users Restricted Rights:  
rem  Use, duplication or disclosure restricted by GSA ADP Schedule 
rem  Contract with IBM Corp. 
rem  *******************************************************************************

setlocal
set START_DIR=%~dp0

rem Convert the current working directory
rem to a format that is valid for use in a
rem a file URL
set CUR_PATH=%cd%
set DRIVE=%cd:~0,1%
set SHORT_PATH=%~sp0%
set SHORT_PATH=%SHORT_PATH:\=/%
set PATH_URL=%DRIVE%%%3a%SHORT_PATH%

if NOT "%JAZZ_PROVISION_PROFILES%" == "" goto :after_jpp
set JAZZ_PROVISION_PROFILES=%START_DIR%conf\jazz\provision_profiles
:after_jpp

IF EXIST "%JAZZ_PROVISION_PROFILES%" goto :after_exist
echo Could not find provisioning directory %JAZZ_PROVISION_PROFILES%.  If you have moved or renamed your configuration directory, you can use the environment variable JAZZ_PROVISION_PROFILES to point to its new location.
exit /b 1
:after_exist

set DEFINE=
set DEFINE=%DEFINE% "-Dcom.ibm.team.repository.provision.profile=%JAZZ_PROVISION_PROFILES%"
set DEFINE=%DEFINE% -Dorg.eclipse.emf.ecore.plugin.EcorePlugin.doNotLoadResourcesPlugin=true
set DEFINE=%DEFINE% -Djava.awt.headless=true
set DEFINE=%DEFINE% "-DJAZZ_HOME=file:///%PATH_URL%conf"
rem set DEFINE=%DEFINE% -Dcom.ibm.team.repotools.rcp.allowInvalidBundles=true

rem The following four environment variables (*_ABSPATH) are used to point to a
rem directory that contains the appropriate JDBC jar file supplied by the
rem database vendor.  Users may set these variables; if they are set, the script
rem will respect their value.  If they are unset, we look in a directory under
rem <JazzInstallDir>/server by default.  (For example, the default location for
rem the Oracle JDBC driver is under <JazzInstallDir>/server/oracle).

rem Do not use double quotes when you define your environment variable.  If
rem you're setting it from the command line, do:
rem set ORACLE_ABSPATH=c:\path name
rem not:
rem set ORACLE_ABSPATH="c:\path name"

if "%ORACLE_ABSPATH%"=="" goto :default_oracle
set DEFINE=%DEFINE% -DORACLE_JDBC="%ORACLE_ABSPATH%"
goto :after_oracle
:default_oracle
set DEFINE=%DEFINE% -DORACLE_JDBC="%START_DIR%\oracle"
:after_oracle

if "%SQLSERVER_ABSPATH%"=="" goto :default_sqlserver
set DEFINE=%DEFINE% -DSQLSERVER_JDBC="%SQLSERVER_ABSPATH%"
goto :after_sqlserver
:default_sqlserver
set DEFINE=%DEFINE% -DSQLSERVER_JDBC="%START_DIR%\sqlserver"
:after_sqlserver

if "%DB2I_ABSPATH%"=="" goto :default_db2i
set DEFINE=%DEFINE% -DDB2I_JDBC="%DB2I_ABSPATH%"
goto :after_db2i
:default_db2i
set DEFINE=%DEFINE% -DDB2I_JDBC="%START_DIR%\db2i"
:after_db2i

if "%DB2Z_ABSPATH%"=="" goto :default_db2z
set DEFINE=%DEFINE% -DDB2Z_JDBC="%DB2Z_ABSPATH%"
goto :after_db2z
:default_db2z
set DEFINE=%DEFINE% -DDB2Z_JDBC="%START_DIR%\db2z"
:after_db2z

set VMARGS=
set VMARGS=%VMARGS% -Xmx1500M
set VMARGS=%VMARGS% -Xjit:exclude={org.apache.xerces.parsers.AbstractSAXParser.*}
rem set VMARGS=%VMARGS% -Xdbg:suspend=y,server=y

set JAVA="%START_DIR%\jre\bin\java"
set LAUNCHER=org.eclipse.equinox.launcher_1.0.101.R34x_v20081125.jar
set JAR="%START_DIR%\..\repotools\eclipse\plugins\%LAUNCHER%"
set APPLICATION=com.ibm.team.repotools.rcp.repotools_application

%JAVA% %VMARGS% %DEFINE% -jar %JAR% -application %APPLICATION% %*
endlocal & set errorlevel=%errorlevel%
    